ffmpeg et lenny : je craque : ffmpeg: symbol lookup error: ffmpeg: undefined symbol: ffm_nopts

Le
Grégory Bulot
bonjour,

ça fait 2 ou 3 fois que ffmpeg me pose des soucis, en effet
il me jette ceci à la figure (video de test dispo sur youtube) :

$ ffmpeg -i -sameq THX Sound Effect.flv THX Sound Effect.avi
ffmpeg: symbol lookup error: ffmpeg: undefined symbol: ffm_nopts




Je refais les commandes ci-dessous à chaque fois que le
problème se reproduit.Certaines étapes sont sûrement inutile=
, mais vu
le nombre de combinaisons, il m'est plus rapide de tout refaire
(certaines de ces étapes supprime, logiquement, ce qui est préc=
édemment
installé) :

429 aptitude install -t unstable ffmpeg
430 aptitude install mplayer
432 aptitude -t lenny-backports install mplayer
433 aptitude install ffmpeg
435 aptitude install mplayer
436 aptitude -t lenny install mplayer
437 aptitude reinstall libavcodec51
440 aptitude remove ffmpeg mplayer libavcodec51
442 aptitude install mplayer
443 aptitude remove libavcodec51 libavcodec52
444 aptitude remove gstreamer0.10-ffmpeg libavformat52 libquicktime1
445 aptitude remove libavformat52 libquicktime1
446 aptitude remove libavformat5 libquicktime1
450 aptitude remove libavcodec51 libavcodec52
452 aptitude install mplayer
453 aptitude install ffmpeg

J'ai vu :
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=489209
mais debian-multimedia est 400 alors que stable est 500 dans mon pinning



--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/20101106121835.39c08db1@morpheus.bulot-fr.com
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Grégory Bulot
Le #22765411
Bonjour, Bonsoir,

Reprise de votre mail en citation, reponses éventuelles au fil du texte

Le Sat, 6 Nov 2010 12:18:35 +0100, Grégory Bulot, vous avez écrit :

bonjour,

ça fait 2 ou 3 fois que ffmpeg me pose des soucis, en effet
il me jette ceci à la figure (video de test dispo sur youtube) :

$ ffmpeg -i -sameq THX Sound Effect.flv THX Sound Effect.avi
ffmpeg: symbol lookup error: ffmpeg: undefined symbol: ffm_nopts



Rectification, maintenant c'est :

ffmpeg: symbol lookup error: /usr/lib/i686/cmov/libavcodec.so.51:
undefined symbol: lzo1x_decode
=> http://bugs.debian.org/cgi-bin/bugreport.cgi?bugY7326

chez moi : (seule libavutil49 diffère)
ii libavcodec51 0.svn20080206-18+lenny1
ii libavdevice52 0.svn20080206-18+lenny1
ii libavformat52 0.svn20080206-18+lenny1
ii libavutil49 4:0.5.2-6
ii mplayer 1.0~rc2-17+lenny3.2
ii vlc 0.8.6.h-4+lenny2.3


--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
moi-meme
Le #22766001
Le Sat, 06 Nov 2010 12:20:03 +0100, Grégory Bulot a écrit :

ça fait 2 ou 3 fois que ffmpeg me pose des soucis, en effet il me jette
ceci à la figure (video de test dispo sur youtube) :



si c'est pour télécharger de youtube le plugin firefox : "downloadhelper"
marche très bien.

Par contre elltube ne fonctionne plus.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/4cd56101$0$10145$
Grégory Bulot
Le #22766221
Bonjour, Bonsoir,

Reprise de votre mail en citation, reponses éventuelles au fil du texte

Le 06 Nov 2010 14:06:57 GMT, moi-meme, vous avez écrit :

si c'est pour télécharger de youtube le plugin firefox :
"downloadhelper" marche très bien.



Non

--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
J
Le #22769061
Le samedi 06 novembre 2010 à 17:11 +0100, Grégory Bulot a écrit :
> si c'est pour télécharger de youtube le plugin firefox :
> "downloadhelper" marche très bien.

Non



sisi, c'est d'ailleurs le seul dans ceux que j'ai testé qui marche bien
dans la durée, mais ce n'est pas la question.

Quand je vois "lenny" acollé à :

aptitude install -t unstable ffmpeg



je ne me donne même pas la peine de debugguer. sid/experimental je
comprends, mais là il y a un grand écart trop important pour moi. Enfin
c'est une opinion.

A tant faire que d'avoir des trous dans la stabilité, autant prendre une
squeeze qui a des versions de paquet plus récents, ou une sid qui ne
tourne pas si mal "en général".


--
Jérôme -

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Grégory Bulot
Le #22769111
Bonjour, Bonsoir,

Reprise de votre mail en citation, reponses éventuelles au fil du texte

Le Sun, 07 Nov 2010 11:36:00 +0100, Jérôme, vous avez écrit :

Le samedi 06 novembre 2010 à 17:11 +0100, Grégory Bulot a à ©crit :
> > si c'est pour télécharger de youtube le plugin firefox :
> > "downloadhelper" marche très bien.
>
> Non

mais ce n'est pas la question.



C'était bien le sens de ma réponse, mon mail était bien conv ertir/lire
des fichiers avec ffmpeg, ffplay, vlc, mplayer


Quand je vois "lenny" acollé à :

> aptitude install -t unstable ffmpeg



"c'est pas faux (c)", j'ai tout viré (aptitude remove) mplayer, vlc,
ffmpeg


je ne me donne même pas la peine de debugguer. sid/experimental je
comprends, mais là il y a un grand écart trop important pour mo i.
Enfin c'est une opinion.



C'est une opinion pertinente ! c'était déjà pour résoud re une
problématique avec avidemux à l'époque. J'ai malheureusement gardé un
vieux réflexe qui n'a plus cours maintenant.

A tant faire que d'avoir des trous dans la stabilité, autant prendre
une squeeze qui a des versions de paquet plus récents, ou une sid qui
ne tourne pas si mal "en général".



ehhh ohhh, bientôt tu vas me dire d'installer ms-windows :-DDDDD

comme je l'écrivais plus haut, je retiré vlc, mplayer, ffmpeg,
libavcodec51 libavformat52 libavutil49 libopenal1


- Par contre si je veux installer mplayer, j'ai ceci :
Les NOUVEAUX paquets suivants vont être installés :
libavcodec51{a} libavformat52{a} libavutil49{a} libopenal1{a}
libpostproc51{a} libswscale0{a} mplayer mplayer-skin-blue{a}


pourquoi les libavcodec5? sont proposé alors que "Bibliothèque du
format de fichier ffmpeg "



--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Grégory Bulot
Le #22769251
Bonjour, Bonsoir,

bon, en fait un simple redémarrage du pc a suffit pour ne plus avoir
l'erreur précédente !

Mais !

je ne peux plus lire aucun flv !
"[flv @ 0xb7ea3ec8]Unsupported video codec (7)" en pagaille !


--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
François Boisson
Le #22769621
Sur lenny et peut être squeeze il y a des pbms sur les versions des librairies
et des incompatibilités.

Exemple:

libavcodec51:
Installé : (aucun)
Candidat : 3:20080706-0.3lenny2
Table de version :
3:20080706-0.3lenny2 0
500 http://www.debian-multimedia.org lenny/main Packages
0.svn20080206-18+lenny1 0
500 http://ftp.fr.debian.org lenny/main Packages

or ffmpeg existe dans les deux dépots multimedia et «classique»

ffmpeg:
Installé : 5:0.5+svn20100208-0.1
Candidat : 5:0.6~svn20100726-0.1
Table de version :
5:0.6~svn20100726-0.1 0
500 http://www.debian-multimedia.org squeeze/main Packages
*** 5:0.5+svn20100208-0.1 0
100 /var/lib/dpkg/status
4:0.5.2-6 0
500 http://ftp.fr.debian.org squeeze/main Packages
3:20080706-0.3lenny2 0
500 http://www.debian-multimedia.org lenny/main Packages
0.svn20080206-18+lenny1 0
500 http://ftp.fr.debian.org lenny/main Packages


tandis que vlc n'existe que dans les dépots «classique»

La solution que j'avais utilisé pour lenny avait été d'installer les versions
de debian-multimedia (qui devaient mieux fonctionner) et de recompiler vlc
avec les librairies de debian-multimedia. Tu trouveras le vlc correspondant
sur mon depot

deb http://boisson.homeip.net/debian lenny divers

Je ne comprends pas le bazar qu'il y a entre debian-multimedia et les dépots
dits «classiques». J'ignore si le même pbm a lieu sous squeeze, le fait est
que là aussi j'ai une version vlc compilée par mes soins, j'ignore l'origine
de cette recompilation (précaution ou le fait que le problème continuait).

François Boisson

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Grégory Bulot
Le #22773741
Bonjour, Bonsoir,

Mon problème est résolu (façon de parler ....): après a voir redémarrer mon pc ce la ne plante plus sur
undefined symbol: ffm_nopts.

Sauf que je n'arrive pas à lire des flv, comme le précise la conc lusion
du bug 602689 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug`2689)
ça va être compliqué avec lenny.

Cela me surprend, car visiblement vous arrivez à lire des flv sous
lenny.Je me trompe ? ma précédente install lenny y arrivais aussi
pourtant !

--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Grégory Bulot
Le #22773801
Bonjour, Bonsoir,

Reprise de votre mail en citation, reponses éventuelles au fil du texte

Le Sun, 7 Nov 2010 14:27:41 +0100, François Boisson, vous avez éc rit :

Sur lenny et peut être squeeze il y a des pbms sur les versions des
librairies et des incompatibilités.



au vu de la conclusion du bug
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug`2689
ça parait évident


Tu trouveras
le vlc correspondant sur mon depot

deb http://boisson.homeip.net/debian lenny divers



Merci, je le garde sous le coude !


Je ne comprends pas le bazar qu'il y a entre debian-multimedia et les
dépots dits «classiques». J'ignore si le même pbm a lieu sous
squeeze, le fait est que là aussi j'ai une version vlc compilée par
mes soins, j'ignore l'origine de cette recompilation (précaution ou
le fait que le problème continuait).



Il parait que sous squeeze "c'est moins pire" ou "mieux géré"
http://bugs.debian.org/cgi-bin/bugreport.cgi?bugY7326#18

J'ai utilisé le dépôt debian-multimedia pour lenny avec mpla yer, cela
fonctionne.

vlc et ffplay, sont moins prioritaire pour l'instant...

quoique ffmpeg pour convertir du flv en autre (avi par exemple) me sert
de temps en temps .....



--
Cordialement
Grégory BULOT

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme